IFAPI_PROFILE Struct Reference

`#include <ifapi_profiles.h>`

## Data Fields

TPMI_ALG_PUBLIC | type
char * | srk_template
char * | ek_template
char * | srk_description
char * | ek_description
TPMT_SIG_SCHEME | ecc_signing_scheme
TPMT_SIG_SCHEME | rsa_signing_scheme
TPMT_RSA_DECRYPT | rsa_decrypt_scheme
TPMI_ALG_CIPHER_MODE | sym_mode
TPMT_SYM_DEF_OBJECT | sym_parameters
UINT16 | sym_block_size
TPML_PCR_SELECTION | pcr_selection
TPMI_ALG_HASH | nameAlg
TPMI_RSA_KEY_BITS | keyBits
UINT32 | exponent
TPMI_ECC_CURVE | curveID
TPMT_SYM_DEF | session_symmetric
TPMS_POLICY * | eh_policy
TPMS_POLICY * | sh_policy
TPMS_POLICY * | ek_policy
TPMS_POLICY * | srk_policy
TPMS_POLICY * | lockout_policy
UINT32 | newMaxTries
UINT32 | newRecoveryTime
UINT32 | lockoutRecovery
TPMI_YES_NO | ignore_ek_template

## Detailed Description

Internal structure for FAPI profiles

## Field Documentation

## ecc_signing_scheme

TPMT_SIG_SCHEME ecc_signing_scheme

Signing scheme for the ECC key.

## ek_description

char* ek_description

EK description

## ek_template

char* ek_template

EK template

## pcr_selection

TPML_PCR_SELECTION pcr_selection

Parameters for symmectric encryption.

## rsa_decrypt_scheme

TPMT_RSA_DECRYPT rsa_decrypt_scheme

Decrypt scheme for the RSA key.

## rsa_signing_scheme

TPMT_SIG_SCHEME rsa_signing_scheme

Signing scheme for the RSA key.

## srk_description

char* srk_description

SRK description

## srk_template

char* srk_template

SRK template

## sym_block_size

UINT16 sym_block_size

Block size for symmectric encryption.

## sym_mode

TPMI_ALG_CIPHER_MODE sym_mode

Mode for symmectric encryption.

## sym_parameters

TPMT_SYM_DEF_OBJECT sym_parameters

Parameters for symmectric encryption.

## type

TPMI_ALG_PUBLIC type

The algorithm used for key creation

The documentation for this struct was generated from the following file:

- src/tss2-fapi/ifapi_profiles.h